Bug 54155 - Not all multicast addresses being registered w/ Broadcom NIC (bcm5700)
Not all multicast addresses being registered w/ Broadcom NIC (bcm5700)
Status: CLOSED ERRATA
Product: Red Hat Linux
Classification: Retired
Component: kernel (Show other bugs)
7.1
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Arjan van de Ven
Brock Organ
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2001-09-28 16:30 EDT by Michael Brock
Modified: 2007-04-18 12:37 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-12-06 12:10:33 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Test Scripts for multicast addresses problems with bcm5700 (27.49 KB, application/octet-stream)
2001-09-28 16:31 EDT, Michael Brock
no flags Details

  None (edit)
Description Michael Brock 2001-09-28 16:30:05 EDT
From Bugzilla Helper:
User-Agent: Mozilla/4.0 (compatible; MSIE 5.01; Windows NT 5.0)

Description of problem:
Server has 4 broadcom cards (bcm5700.o) and doesn't register all of the 
multicast addresses on the attached networks.  Some multicast addresses do 
get reserved, but others do not.  No consistancy as far as which addresses 
do or do not get reserved.

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. Run the listen script on the server (that would be the machine w/ the 
bcm5700) to listen for the multicast registration (attached)
2. Run the register script on a client to generate the mutlicast 
registration

Actual Results:  Not all of the multicast addresses show up as registered.

Expected Results:  All of the multicast addresses should be registered.

Additional info:

For these scripts to run properly, you'll need IBM's Java VM installled.
Comment 1 Michael Brock 2001-09-28 16:31:31 EDT
Created attachment 32938 [details]
Test Scripts for multicast addresses problems with bcm5700
Comment 2 Michael K. Johnson 2001-12-06 12:08:22 EST
Has this been reported to broadcom?
Comment 3 Arjan van de Ven 2001-12-06 12:10:28 EST
iirc Broadcom already sent us a fix included in 2.4.9-13

Note You need to log in before you can comment on or make changes to this bug.